./math/R-lintr, A Linter for R Code

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.0.0, Package name: R-lintr-2.0.0, Maintainer: pkgsrc-users

Checks adherence to a given style, syntax errors and possible semantic
issues. Supports on the fly checking of R code edited with 'RStudio
IDE', 'Emacs', 'Vim', 'Sublime Text' and 'Atom'.


Required to run:
[math/R] [print/R-knitr] [security/R-digest] [devel/R-crayon] [textproc/R-jsonlite] [math/R-rstudioapi] [devel/R-testthat] [www/R-httr] [textproc/R-xml2] [devel/R-rex] [textproc/R-xmlparsedata] [devel/R-cyclocomp] [math/R-stringdist]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)


Version history: (Expand)


CVS history: (Expand)


   2020-02-13 14:25:05 by Makoto Fujiwara | Files touched by this commit (1)
Log message:
(devel/R-lintr) Convert TEST_DEPENDS to DEPENDS
   2020-02-10 15:16:31 by Makoto Fujiwara | Files touched by this commit (3)
Log message:
(devel/R-lintr) import R-lintr-2.0.0

Checks adherence to a given style, syntax errors and possible semantic
issues.  Supports on the fly checking of R code edited with 'RStudio
IDE', 'Emacs', 'Vim', 'Sublime Text' and 'Atom'.